# Uses of Class
org.eclipse.emf.cdo.etypes.util.BasicAnnotationValidator

Packages that use BasicAnnotationValidator
Package
Description
org.eclipse.emf.cdo.etypes.util
The generated EMF utilities of the CDO system data types and native annotations.

## Uses of BasicAnnotationValidator in org.eclipse.emf.cdo.etypes.util

Fields in org.eclipse.emf.cdo.etypes.util declared as BasicAnnotationValidator
Modifier and Type
Field
Description
`protected final BasicAnnotationValidator`
BasicAnnotationValidator.Assistant.`annotationValidator`
The annotation validator to which this assistant delegates.
Constructors in org.eclipse.emf.cdo.etypes.util with parameters of type BasicAnnotationValidator
Modifier
Constructor
Description
``
`Assistant(BasicAnnotationValidator annotationValidator)`
Creates an instance that delegates to the give annotation validator.